## ros-jazzy-trac-ik 2.0.1

=== debian/changelog ===
ros-jazzy-trac-ik (2.0.1-2bookworm) bookworm; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 11 Apr 2024 16:00:00 -0000

ros-jazzy-trac-ik (2.0.0-2bookworm) bookworm; urgency=high

  * Update CMakeLists for trac_ik
  * Contributors: Ana C. Huaman Quispe, Kenji Brameld, Mike Lanighan

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 28 Mar 2024 16:00:00 -0000

ros-jazzy-trac-ik (1.6.6-2bookworm) bookworm; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 04 May 2021 16:00:00 -0000

ros-jazzy-trac-ik (1.6.4-2bookworm) bookworm; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 28 Apr 2021 16:00:00 -0000

ros-jazzy-trac-ik (1.6.2-2bookworm) bookworm; urgency=high

  * changed package.xmls to format 3
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 16 Mar 2021 16:00:00 -0000

ros-jazzy-trac-ik (1.6.1-2bookworm) bookworm; urgency=high

  * Pushing changes for noetic compatibility

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 16 Mar 2021 16:00:00 -0000

ros-jazzy-trac-ik (1.5.1-2bookworm) bookworm; urgency=high

  * Fixed theta normalize bug

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 14 Jul 2019 16:00:00 -0000

ros-jazzy-trac-ik (1.5.0-2bookworm) bookworm; urgency=high

  * Switch to C++-11 threads and pointers instead of Boost

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 21 Aug 2018 16:00:00 -0000

ros-jazzy-trac-ik (1.4.11-2bookworm) bookworm; urgency=high

  * Change to python install location for swig wrapper

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 05 Feb 2018 16:00:00 -0000

ros-jazzy-trac-ik (1.4.10-2bookworm) bookworm; urgency=high

  * Fix URDF types to work in Indigo through Lunar on trusty through zesty

 -- TRACLabs Robotics <robotics@traclabs.com>  Sat, 20 Jan 2018 16:00:00 -0000

ros-jazzy-trac-ik (1.4.9-2bookworm) bookworm; urgency=high

  * Fixed MoveIt! plugin params to look in the correct place
  * Added a swig wrapper around TRAC-IK courtesy of mailto:Sammy.Pfeiffer@student.uts.edu.au

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 10 Jan 2018 16:00:00 -0000

ros-jazzy-trac-ik (1.4.8-2bookworm) bookworm; urgency=high

  * Updated type to use generic typedef so boost (xenial) and C++ (zesty) pointers can be used as needed

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 25 Dec 2017 16:00:00 -0000

ros-jazzy-trac-ik (1.4.7-2bookworm) bookworm; urgency=high

  * Fixed bug introduced in 1.4.6 where threaded function call should be returning a bool but was not returning anything

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 20 Dec 2017 16:00:00 -0000

ros-jazzy-trac-ik (1.4.6-2bookworm) bookworm; urgency=high

  * Incorporated PR to fix plugin header and templatize the KDL/NLOpt solver threads used by TRAC-IK

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 07 Nov 2017 16:00:00 -0000

ros-jazzy-trac-ik (1.4.5-2bookworm) bookworm; urgency=high

  * Updated CMake file to work with Eigen on 14.04 through 16.04

 -- TRACLabs Robotics <robotics@traclabs.com>  Tue, 20 Dec 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.4.4-2bookworm) bookworm; urgency=high

  * Minor formatting and speed improvements based on user Issues and Pull Requests.

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 31 Jul 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.4.3-2bookworm) bookworm; urgency=high

  * trac_ik_kinematics_plugin and trac_ik_examples needed build depends on libnlopt-dev

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 15 Jun 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.4.2-2bookworm) bookworm; urgency=high

  * New revision for ROS Package release.  Thanks to Gijs van der Hoorn

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 15 Jun 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.4.1-2bookworm) bookworm; urgency=high

  * Fixed weird parsing issue with certain URDFs.

 -- TRACLabs Robotics <robotics@traclabs.com>  Fri, 15 Jan 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.4.0-2bookworm) bookworm; urgency=high

  * Added example program for using TRAC-IK.
  * Added ability to get KDL chain structures from TRAC-IK class.

 -- TRACLabs Robotics <robotics@traclabs.com>  Fri, 15 Jan 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.3.9-2bookworm) bookworm; urgency=high

  * Added new TRAC-IK constructor that takes URDF location, base link, and tip
    link, instead of KDL structures.
  * Some README fixes based on user comments

 -- TRACLabs Robotics <robotics@traclabs.com>  Fri, 15 Jan 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.3.8-2bookworm) bookworm; urgency=high

  * Fixed how continuous joints are handled in random restarts

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 03 Jan 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.3.7-2bookworm) bookworm; urgency=high

  * Fixed bug introduced in 1.3.6 where tip frame was being used for Inverse
    Jacobian, which was never converging.

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 03 Jan 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.3.6-2bookworm) bookworm; urgency=high

  * Fixed tolerances to be in tip frame, not base frame.
  * Fixed Hydro compile issue
  * Changed to std::numeric_limits for +/-FLT_MAX and epsilons
  * Fixed potential error with URDF soft limits

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 03 Jan 2016 16:00:00 -0000

ros-jazzy-trac-ik (1.3.5-2bookworm) bookworm; urgency=high

  * Overhaul of how multiple solutions are managed in TRAC-IK threads.
  * Improved speed and accurate returning of unique results found.

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 07 Dec 2015 16:00:00 -0000

ros-jazzy-trac-ik (1.3.4-2bookworm) bookworm; urgency=high

  * Fixed a bug where we were looping over solutions inside of looping over
    solutions.

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 09 Dec 2015 16:00:00 -0000

ros-jazzy-trac-ik (1.3.3-2bookworm) bookworm; urgency=high

  * Change final normalization for manipulability metrics with continuous

