=== debian/control ===
Source: ros-jazzy-trac-ik
Section: misc
Priority: optional
Maintainer: TRACLabs Robotics <robotics@traclabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ros-workspace
Homepage: http://wiki.ros.org/trac_ik
Standards-Version: 3.9.2

Package: ros-jazzy-trac-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-trac-ik-kinematics-plugin, ros-jazzy-trac-ik-lib, ros-jazzy-ros-workspace
Description: The ROS packages in this repository were created to provide an improved alternative Inverse Kinematics solver to the popular inverse Jacobian methods in KDL.
 TRAC-IK handles joint-limited chains better than KDL without increasing solve time.
